<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUserGroupReq StructType
 * @subpackage Structs
 */
class AddUserGroupReq extends APIRequest
{
    /**
     * The userGroup
     * @var XUserGroup
     */
    public $userGroup;
    /**
     * Constructor method for AddUserGroupReq
     * @uses AddUserGroupReq::setUserGroup()
     * @param XUserGroup $userGroup
     */
    public function __construct(XUserGroup $userGroup = null)
    {
        $this
            ->setUserGroup($userGroup);
    }
    /**
     * Get userGroup value
     * @return XUserGroup|null
     */
    public function getUserGroup()
    {
        return $this->userGroup;
    }
    /**
     * Set userGroup value
     * @param XUserGroup $userGroup
     * @return AddUserGroupReq
     */
    public function setUserGroup(XUserGroup $userGroup = null)
    {
        $this->userGroup = $userGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUserGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
